local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	LoadActor("_base") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
	};
};
	

if STATSMAN:GetCurStageStats():AllFailed() == true then

	t[#t+1] = Def.ActorFrame {
		LoadActor("_fail") .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
		};
	};

end;	
	

t[#t+1] = Def.ActorFrame {	
	LoadActor("_shuriken") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0.4);
		OnCommand=cmd(spin;effectmagnitude,0,0,10;);
	};
	LoadActor("_shuriken") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;blend,'BlendMode_Add';diffusealpha,0.3);
		OnCommand=cmd(spin;effectmagnitude,0,0,10;);
	};
	LoadActor("_tex") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,'BlendMode_WeightedMultiply');
	};		
};


t[#t+1] = LoadActor("_particleLoader") .. {
		InitCommand=cmd(x,0;y,0;);
	};

return t